package com.warewms.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.warewms.common.utils.HttpRequest;
import com.warewms.common.utils.JsonUtils;
import com.warewms.form.BtnOpForm;
import com.warewms.service.BtnService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;

@Slf4j
@Service
public class BtnServiceImpl implements BtnService {

    @Override
    public JSONObject opBtn(BtnOpForm btnOpForm) {
        try {
            String string = HttpRequest.postData("http://localhost:8008/wcs/ctl/btnOp", JsonUtils.toJson(btnOpForm));
            Map<String, Object> mapTask = (Map<String, Object>) JSON.parse(string);
            log.info("mapTask" + JSON.toJSONString(mapTask));
        } catch (Exception e) {
            log.info("下发任务调用接口异常");
        }
        return null;
    }
}
